API referenceWhatsApp
POST /whatsapp/flows/send
Send a flow as an interactive message (LIVE; within the 24-hour window). flow_token defaults to <flowId>:<uuid>
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
application/json- body
accountId*stringWhatsApp account id
to?stringconversationId?stringflow_id*stringflow_cta*stringLength
length <= 20body*stringflow_action?stringValue in
"navigate""data_exchange"flow_token?stringflow_action_payload?header?unknownfooter?stringdraft?boolean{success, messageId, flowToken, message, conversation}
application/json- response
success?booleanmessageId?stringflowToken?stringmessage?conversation?curl -X POST 'https://example.com/api/v1/whatsapp/flows/send' \ -H 'Content-Type: application/json' \ -d '{ "accountId": "string", "flow_id": "string", "flow_cta": "string", "body": "string"}'Example Response
{ "success": true, "messageId": "string", "flowToken": "string", "message": { "id": "string", "conversationId": "string", "platformMessageId": "string", "direction": "inbound", "type": "text", "text": "string", "attachments": [ { "type": "string", "url": "string" } ], "postback": { "title": "string", "payload": "string" }, "reactions": [ { "emoji": "string", "by": "participant" } ], "replyToMid": "string", "isEcho": true, "isDeleted": true, "status": "received", "tag": "HUMAN_AGENT", "sentAt": "2019-08-24T14:15:22Z", "deliveredAt": "2019-08-24T14:15:22Z", "readAt": "2019-08-24T14:15:22Z", "source": "webhook", "content": null, "pricing": null, "error": "string", "failedAt": "2019-08-24T14:15:22Z" }, "conversation": { "id": "string", "accountId": "string", "platform": "instagram", "platformConversationId": "string", "participant": { "id": "string", "username": "string", "name": "string", "pictureUrl": "string", "phone": "string", "userId": "string", "parentUserId": "string" }, "lastMessage": { "text": "string", "direction": "inbound", "at": "2019-08-24T14:15:22Z" }, "unreadCount": 0, "lastReadAt": "2019-08-24T14:15:22Z", "participantReadAt": "2019-08-24T14:15:22Z", "status": "active", "messagingWindow": { "open": true, "closesAt": "2019-08-24T14:15:22Z", "humanAgentClosesAt": "2019-08-24T14:15:22Z" }, "syncedAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}